Page MenuHomePhabricator

Wikibase dump scripts fail as they can't find 'Wikibase\Lib\WikibaseSettings'
Closed, ResolvedPublic

Description

From snapshot1008:

(2020-03-24T10:15+00:00) Starting batch 0
Fatal error: Uncaught Error: Class 'Wikibase\Lib\WikibaseSettings' not found in /srv/mediawiki/php-1.35.0-wmf.24/extensions/Wikibase/repo/maintenance/DumpEntities.php:241
Stack trace:
#0 /srv/mediawiki/php-1.35.0-wmf.24/maintenance/doMaintenance.php(77): Wikibase\DumpEntities->finalSetup()
#1 /srv/mediawiki/php-1.35.0-wmf.24/includes/Setup.php(140): wfMaintenanceSetup()
#2 /srv/mediawiki/php-1.35.0-wmf.24/maintenance/doMaintenance.php(83): require_once('/srv/mediawiki/...')
#3 /srv/mediawiki/php-1.35.0-wmf.24/extensions/Wikibase/repo/maintenance/dumpRdf.php(204): require_once('/srv/mediawiki/...')
#4 /srv/mediawiki/multiversion/MWScript.php(101): require_once('/srv/mediawiki/...')
#5 {main}
  thrown in /srv/mediawiki/php-1.35.0-wmf.24/extensions/Wikibase/repo/maintenance/DumpEntities.php on line 241

This affects all RDF and JSON dumps (but not the XML dumps which are done through another interface).

Event Timeline

hoo created this task.Mar 26 2020, 6:41 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 26 2020, 6:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
hoo updated the task description. (Show Details)Mar 26 2020, 6:41 PM

Change 583734 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] DumpEntities: Fix DB group default override

https://gerrit.wikimedia.org/r/583734

Change 583734 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] DumpEntities: Fix DB group default override

https://gerrit.wikimedia.org/r/583734

hoo renamed this task from Wikibase dump scripts fail due as they can't find 'Wikibase\Lib\WikibaseSettings' to Wikibase dump scripts fail as they can't find 'Wikibase\Lib\WikibaseSettings'.Mar 27 2020, 10:18 AM

Change 583927 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.25] DumpEntities: Fix DB group default override

https://gerrit.wikimedia.org/r/583927

Envlh added a subscriber: Envlh.Mar 30 2020, 6:40 AM

Change 583927 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.25] DumpEntities: Fix DB group default override

https://gerrit.wikimedia.org/r/583927

Mentioned in SAL (#wikimedia-operations) [2020-03-30T09:56:29Z] <hoo@deploy1001> Synchronized php-1.35.0-wmf.25/extensions/Wikibase/repo/maintenance/DumpEntities.php: DumpEntities: Fix DB group default override (T248612) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2020-03-30T09:59:26Z] <hoo> Temporary modified dumpsgen's crontab on snapshot1008 so that the Wikidata JSON dumps start at 9:59 UTC today (T248612)

hoo added a comment.Mar 30 2020, 10:00 AM

JSON dumpers in production are working again and thus new JSON and RDF dumps should appear as usual.

Mmarx added a subscriber: Mmarx.Mar 30 2020, 3:34 PM
hoo closed this task as Resolved.Apr 2 2020, 2:40 PM

Closing this as new JSON and RDF dumps are available on https://dumps.wikimedia.org/wikidatawiki/entities/ now (not for all kinds of dumps yet, but that's just a matter of time).